import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PdfTitleKeySchema } from '../enums/PdfTitleKey.schema'

const makeSchema = () => z.object({
  set: PdfTitleKeySchema.optional()
}).strict();
export const EnumPdfTitleKeyFieldUpdateOperationsInputObjectSchema: z.ZodType<Prisma.EnumPdfTitleKeyFieldUpdateOperationsInput> = makeSchema() as unknown as z.ZodType<Prisma.EnumPdfTitleKeyFieldUpdateOperationsInput>;
export const EnumPdfTitleKeyFieldUpdateOperationsInputObjectZodSchema = makeSchema();
